import cx from 'classnames';
import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var BASE_CLASS = "sui-MoleculeTabs";
var CLASS_TAB = BASE_CLASS + "-item";
var CLASS_TAB_ICON = CLASS_TAB + "-icon";
var CLASS_TAB_COUNT = CLASS_TAB + "-count";
/* status */

var CLASS_TAB_ACTIVE = "is-active";
var CLASS_TAB_DISABLED = "is-disabled";

var MoleculeTab = function MoleculeTab(_ref) {
  var _cx;

  var active = _ref.active,
      onChange = _ref.onChange,
      disabled = _ref.disabled,
      icon = _ref.icon,
      count = _ref.count,
      label = _ref.label,
      numTab = _ref.numTab;

  var handleChange = function handleChange(ev) {
    !disabled && onChange(ev, {
      numTab: numTab
    });
  };

  var className = cx(CLASS_TAB, (_cx = {}, _cx[CLASS_TAB_ACTIVE] = active, _cx[CLASS_TAB_DISABLED] = disabled, _cx));
  return /*#__PURE__*/_jsxs("li", {
    className: className,
    onClick: handleChange,
    children: [icon && /*#__PURE__*/_jsx("span", {
      className: CLASS_TAB_ICON,
      children: icon
    }), !isNaN(count) && /*#__PURE__*/_jsx("span", {
      className: CLASS_TAB_COUNT,
      children: count
    }), /*#__PURE__*/_jsx("span", {
      children: label
    })]
  });
};

export default MoleculeTab;